Welcome to PhantomPilots.com

Sign up for a weekly email of the latest drone news & information

Newbie firmwares question.

Discussion in 'Standard/4k Discussion' started by dan84uk, Jun 9, 2016.

  1. dan84uk

    Joined:
    Jun 7, 2016
    Messages:
    97
    Likes Received:
    22
    Location:
    Birmingham UK
    Hi all. Im a newbie from the UK.

    I have just bought a preowned phantom from a store,( learnt to fly on hubsan x4). its on firmware 1.3.5, with only 9 cycles on the battery. Im interested in using an older firmware to avoid non oem batteries being locked out. Does anyone know the best firmware to use for my needs? I understand i can only return 1 step once updating.

    • 1.5 by all accounts is dodgy?
    • 1.6 started locking batteries?
    • 1.4 unlocks features and is very stable?

    I was reading that some of the newer non oem batteries are actually now working with even the latest firmware's but i dont want to be testing that theory, unless i see concrete evidence its true lol.

    Im a electronics/coding geek so it wont be long before im modding and creating my own range and battery mods, so the technical side of messing about with it doesn't bother me at all. Oh and im using litchi (I say 'using it' i haven't even flew i yet!)

    Thanks all